<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-geocode-glib" xml:lang="fr">

  <info>
    <link type="guide" xref="tech" group="geocode-glib"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Geocoding and reverse geocoding - conversion of street addresses
    to/from geographical coordinates</desc>
  </info>

<title>Geocode-glib</title>

  <p>
    Geocode-glib provides <em>geocoding</em> and <em>reverse geocoding</em>.
    Geocoding is the process of translating an address ("123 High Street,
    SomeTown, SomeCountry") to a pair of latitude/longitude values.  Reverse
    geocoding is the opposite process.
  </p>

  <p>
    Geocode-glib uses the Yahoo! Place Finder API internally to
    do its work.  In the future it will support the free Nominatim
    service and OpenStreetMap data.
  </p>

  <list style="compact">
    <item><p><link href="https://developer.gnome.org/geocode-glib/unstable/index.html">Geocode-glib reference documentation</link></p></item>
  </list>

</page>
